0

I use hugo to generate static website. It used to work fine but now displays an error:

$ hugo
cannot perform readlinkat() on the mount namespace file descriptor of the init process: Permission denied

Configuration:

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 17.10
Release:    17.10
Codename:   artful

$ uname -r
4.13.0-45-generic

$ snap version
snap    2.32.9+17.10
snapd   2.32.9+17.10
series  16
ubuntu  17.10
kernel  4.13.0-45-generic

I don't remember if I updated or changed anything in the system configuration since the last time I used hugo (~1 week ago).

I've tried the stable and edge versions of the snap but I get the same error for both.

I've tried to revert to the previous Hugo version that I had but I still get the error. I'm 85% sure that version 0.41 worked before.

$ snap list --all | grep hugo 
hugo     0.41       1851  stable    hugo-authors  disabled
hugo     0.43-DEV   1989  stable    hugo-authors  disabled
hugo     0.42       1987  stable    hugo-authors  -

$ snap revert hugo --revision=1851
hugo reverted to 0.41

$ hugo
cannot perform readlinkat() on the mount namespace file descriptor of the init process: Permission denied

Any hint on where to look at?

2
  • What is the output of "snap version"?
    – popey
    Commented Jun 13, 2018 at 7:49
  • 2.32.9+17.10. I've update the question with the full output of snap version. Thanks for the remark!
    – fstephany
    Commented Jun 13, 2018 at 16:15

1 Answer 1

0

Mmmm. When switching my computer on today, it worked. No more error. Maybe an out-of-date kernel that was swapped out when rebooting?

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .